View Issue Details

IDProjectCategoryView StatusLast Update
13405Bug reports[All Projects] _ Unknownpublic2018-02-27 14:23
Reporterrsstgtd Assigned Toollehar  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.4.x 
Summary13405: Failure of limiting the Ranking questions answers through drag and drop
Description

Limiting the answers of ranking questions does not work if user drags and drop the answers.
Bug seems to be appeared on version 3.3.1+180214, and is considered to be a major problem.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.3.1+180214
I will donate to the project if issue is resolvedNo
BrowserFirefox Quantum 58
Database & DB-Versionnot sure
Server OS (if known)not sure
Webserver software & version (if known)not sure
PHP Versionnot sure

Activities

rsstgtd

rsstgtd

2018-02-22 13:08

reporter  

limesurvey_survey_447935.lss.xml (15,179 bytes)
drag_n_drop.png (39,650 bytes)
drag_n_drop.png (39,650 bytes)
ollehar

ollehar

2018-02-26 16:45

administrator   ~46761

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26600

c_schmitz

c_schmitz

2018-02-27 14:23

administrator   ~46790

Version 3.4.3 Build 180227 released.

Related Changesets

LimeSurvey: master e6d1151a

2018-02-26 16:45:17

ollehar

Details Diff
Fixed issue 13405: Failure of limiting the Ranking questions answers through drag and drop Affected Issues
13405
mod - assets/packages/questions/ranking/scripts/ranking.js Diff File

Issue History

Date Modified Username Field Change
2018-02-22 13:08 rsstgtd New Issue
2018-02-22 13:08 rsstgtd File Added: limesurvey_survey_447935.lss.xml
2018-02-22 13:08 rsstgtd File Added: drag_n_drop.png
2018-02-26 16:45 ollehar Changeset attached => LimeSurvey master e6d1151a
2018-02-26 16:45 ollehar Note Added: 46761
2018-02-26 16:45 ollehar Assigned To => ollehar
2018-02-26 16:45 ollehar Resolution open => fixed
2018-02-27 10:10 ollehar Status new => resolved
2018-02-27 10:10 ollehar Fixed in Version => 3.4.x
2018-02-27 14:23 c_schmitz Note Added: 46790
2018-02-27 14:23 c_schmitz Status resolved => closed